Bug 145722 - [65cat] IllegalStateException: AntSession/AntEvent/TaskStructure method called after completion of Ant process
[65cat] IllegalStateException: AntSession/AntEvent/TaskStructure method calle...
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@projects
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-31 17:40 UTC by karmagfa
Modified: 2010-04-09 04:37 UTC (History)
9 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.49 KB, text/plain)
2008-08-31 17:40 UTC, karmagfa
Details
stacktrace (1.40 KB, text/plain)
2009-09-25 08:29 UTC, Erno Mononen
Details
stacktrace (1.42 KB, text/plain)
2009-12-16 21:13 UTC, nleck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description karmagfa 2008-08-31 17:40:51 UTC
Build: NetBeans IDE Dev (Build 200808300201)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-121, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_13-b05-241
OS: Mac OS X, 10.4.11, i386

User Comments: 


Stacktrace: 
java.lang.IllegalStateException: AntSession/AntEvent/TaskStructure method called after completion of Ant process
        at org.apache.tools.ant.module.bridge.impl.NbBuildLogger.verifyRunning(NbBuildLogger.java:215)
        at org.apache.tools.ant.module.bridge.impl.NbBuildLogger.access$200(NbBuildLogger.java:99)
        at org.apache.tools.ant.module.bridge.impl.NbBuildLogger$Event.getScriptLocation(NbBuildLogger.java:1002)
        at org.apache.tools.ant.module.spi.AntEvent.getScriptLocation(AntEvent.java:138)
        at org.apache.tools.ant.module.bridge.impl.NbBuildLogger.getInterestedLoggersByEvent(NbBuildLogger.java:255)
        at org.apache.tools.ant.module.bridge.impl.NbBuildLogger.messageLogged(NbBuildLogger.java:601)
Comment 1 karmagfa 2008-08-31 17:40:55 UTC
Created attachment 68731 [details]
stacktrace
Comment 2 t_h 2008-09-19 14:41:37 UTC
cdc3f20b645f
Comment 3 Quality Engineering 2008-09-20 05:32:27 UTC
Integrated into 'main-golden', will be available in build *200809200201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/cdc3f20b645f
User: Tomas Holy <t_h@netbeans.org>
Log: #145722: IllegalStateException: AntSession/AntEvent/TaskStructure method called after completion of Ant process
Comment 4 Exceptions Reporter 2009-02-19 16:45:02 UTC
Reopening - reproduced in NetBeans IDE 6.5 (Build 200811100001)
http://statistics.netbeans.org/exceptions/detail.do?id=9800
Comment 5 Exceptions Reporter 2009-06-29 19:26:21 UTC
This issue already has 54 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=9800
Comment 6 Jesse Glick 2009-08-21 17:35:01 UTC
Many duplicates, please reevaluate. The 6.7 cases are coming from a third-party module which is to blame
(de.enough.polish.emulator.Emulator$DebuggerThread.run) but the 6.5 cases look legitimate.
Comment 7 Erno Mononen 2009-09-25 08:29:06 UTC
Build: NetBeans IDE 6.7 (Build 200906241340)
VM: Java HotSpot(TM) 64-Bit Server VM, 16.0-b08, Java(TM) SE Runtime Environment, 1.7.0-ea-b71
OS: Linux, 2.6.27-14-generic, amd64

User Comments: 
Started debugging an nb module and then cancelled the process immediately afterwards.

Stacktrace: 
java.lang.IllegalStateException: AntSession/AntEvent/TaskStructure method called after completion of Ant process
        at org.apache.tools.ant.module.bridge.impl.NbBuildLogger.verifyRunning(NbBuildLogger.java:219)
        at org.apache.tools.ant.module.bridge.impl.NbBuildLogger.access$200(NbBuildLogger.java:100)
        at org.apache.tools.ant.module.bridge.impl.NbBuildLogger$Event.getScriptLocation(NbBuildLogger.java:1010)
        at org.apache.tools.ant.module.spi.AntEvent.getScriptLocation(AntEvent.java:138)
        at org.apache.tools.ant.module.bridge.impl.NbBuildLogger.getInterestedLoggersByEvent(NbBuildLogger.java:259)
        at org.apache.tools.ant.module.bridge.impl.NbBuildLogger.messageLogged(NbBuildLogger.java:605)
Comment 8 Erno Mononen 2009-09-25 08:29:11 UTC
Created attachment 88333 [details]
stacktrace
Comment 9 nleck 2009-12-16 21:13:39 UTC
Created attachment 92690 [details]
stacktrace
Comment 10 Jesse Glick 2010-04-08 02:21:08 UTC
Mostly seem to boil down to something running asynchronously and calling Task.log just after the process has shut down. Should just ignore such calls, I guess.
Comment 11 Jesse Glick 2010-04-08 02:24:29 UTC
core-main #f59b7c5e5c56
Comment 12 Quality Engineering 2010-04-09 04:37:05 UTC
Integrated into 'main-golden', will be available in build *201004090201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f59b7c5e5c56
User: Jesse Glick <jglick@netbeans.org>
Log: #145722: [65cat] IllegalStateException: AntSession/AntEvent/TaskStructure method called after completion of Ant process


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo